Sommaire

  • Présentation
  • Installation et désinstallation du logiciel
  • Démarrage du logiciel
  • Utilisation
    • La fenêtre principale
      • Dossier utilisateurs
      • Sélection d'un utilisateur
      • Sélection des sessions à analyser
      • Rapport des analyses effectuées
    • La barre des menus
      • Le menu Analyse
      • Le menu Dossier
      • Le menu Rapport
      • Le menu "?"
    • Les synthèses produites
      • Le fichier des événements
      • Le fichier de synthèse

  • Pour mémoire : observation du fichier des traces avec Excel
  • Auteurs - Contacts


Présentation

[ Sommaire ]

ARI est un assistant de recherche d'informations sur Internet qui fonctionne sous Windows avec le navigateur Internet Explorer. ARI trace et analyse toutes les requêtes partant du navigateur et construit un historique de la recherche.

Ces données (traces et historique) sont enregistrées dans 2 fichiers sauvegardés au format .csv et donc directement exploitables sous Excel ou un éditeur de texte. A partir de ces données on peut voir le travail effectué en utilisant ARI et répondre à un certain nombre de questions telles que :

  • Combien de temps durent les phases de navigation et de prises de notes ?
  • Comment s'enchaînent-elles lors d'une session ou lors de plusieurs sessions ?
  • Combien de moteurs ou d'annuaires ont été utilisés ?
  • Quelles sont les requêtes proposées ?
  • Les recherches sont-elles simples, avancées ou thématiques ?
  • Quelles sont les sites visités lors d'une ou plusieurs sessions ?
  • etc ...

La réponse à ces questions en utilisant Excel ou un éditeur de texte est longue et fastidieuse. Le logiciel ARI-AT permet en quelques secondes d'extraire des fichiers enregistrés tous les événements utiles lors des différentes sessions, de les exploiter et de présenter les résultats sous une forme synthétique (voir en particulier le fichier de synthèse) pour répondre aux questions posées ci-dessus.


Installation et désinstallation du logiciel

Installation

Configuration requise : Windows 95/98/Me ou 2000.
ARI doit être installé sur votre machine.

Pour installer ARI-AT et son aide :

  1. Recopier le fichier "ari-at.exe" dans le répertoire d'installation d'ARI, par défaut : "C:\Program Files\ARI". Le logiciel utilise, en effet, plusieurs fichiers qui figurent dans ce répertoire.
  2. Recopier le fichier d'aide "ari-at.chm" dans le dossier "aide", par défaut : "C:\Program Files\ARI\aide".

Désinstallation

Pour désinstaller le logiciel d'analyse, il suffit de supprimer les fichiers "ari-at.exe" et "ari-at.chm" en utilisant l'Explorateur de Windows.


Démarrage du logiciel

Pour démarrer le programme, avec l'Explorateur Windows ouvrir le dossier d'installation d'ARI puis double-cliquer sur l'icône du fichier "ari-at.exe".

On peut aussi, pour faciliter le lancement du logiciel, créer un raccourci et le placer sur le bureau.

Pour appeler l'aide taper F1 ou cliquer sur le bouton d'aide s'il existe. La fenêtre d'aide reste au premier plan ; la redimensionner pour consulter l'aide et utiliser le logiciel simultanément.


La fenêtre principale

Au lancement du logiciel la fenêtre qui est ouverte affiche :

  • Une barre de menus (1) comprenant 4 menus :
  1. Le menu "Analyse" qui propose 3 commandes :
    1. "Synthèse générale",
    2. "Synthèse générale et par sessions"
    3. "Quitter".
  2. Le menu "Dossier" qui propose 2 commandes :
    1. "Changer de dossier utilisateurs et enregistrer ce changement"
    2. "Changer de dossier utilisateurs sans enregistrer ce changement"
  3. Le menu "Rapport" qui propose une commande : "Supprimer le rapport"
  4. Le menu "?" qui permet d'accéder à l'aide et d'afficher des informations "A propos du logiciel".
  • 4 zones de texte (2),(3),(4) et (5)
  • (2) La zone "Dossier utilisateurs",
  • (3) La zone "Sélection d'un utilisateur",
  • (4) La zone "Sélection des sessions à analyser" et
  • (5) La zone "Rapport des analyses effectuées"


Dossier utilisateurs

C'est le répertoire de sauvegarde des utilisateurs enregistré dans le fichier "ari.ini" (voir la documentation d'ARI). Il contient toutes les informations relatives aux utilisateurs et groupes inscrits.
Si un ou plusieurs utilisateurs sont inscrits dans le dossier sélectionné, la liste des inscrits (fichier "Users.txt") est alors affichée dans la zone "Sélection d'un utilisateur".

Pour changer de dossier utiliser l'une des commandes du menu "Dossier".


Sélection d'un utilisateur

Si aucun utilisateur n'est inscrit dans le dossier des utilisateurs la zone d'affichage des utilisateurs est vide sinon elle contient la liste des utilisateurs inscrits (fichier "Users.txt").

Pour sélectionner un utilisateur, cliquer sur son nom. Un utilisateur étant sélectionné, on peut à l'aide des touches flèchées du clavier sélectionné l'utilisateur précédent ou suivant.

La sélection multiple n'est pas autorisée. Pour analyser les traces de plusieurs utilisateurs, on les analysera donc l'une après l'autre.


Sélection des sessions à analyser

Lorsqu'un utilisateur est sélectionné, cette zone indique toutes les sessions qu'il a effectué.

Si l'utilisateur n'a effectuée aucune session, la zone d'affichage correspondante est vide sinon elle contient la liste des sessions effectuées par cet utilisateur.

On peut sélectionner une ou plusieurs sessions à analyser :

  • Pour sélectionner des sessions qui se suivent dans la liste, sélectionner la première et en maintenant enfoncé le bouton de la souris, amener la souris sur la dernière session à sélectionner, ou, cliquer sur la première session à sélectionner, maintenir la touche MAJ du clavier enfoncée et cliquer sur la dernière session à sélectionner.
  • Pour sélectionner plusieurs sessions séparément, maintenir la touche CTRL enfoncée puis cliquer sur les sessions à sélectionner.


Rapport des analyses effectuées

Cette zone affiche l'historique de toutes les analyses qui ont été effectuées. Chaque analyse est en effet ajoutée aux précédentes dans un fichier, au format texte, nommé "analyses.txt". Ce fichier est enregistré dans le dossier des utilisateurs et peut être imprimé avec n'importe quel éditeur de texte (WordPad, Bloc-notes, etc.).

Ce rapport peut-être supprimé (voir le menu "Rapport").

Pour chaque analyse effectuée on trouve :

  • la date et l'heure de l'analyse,
  • le nom de l'utilisateur, le nombre et la liste des sessions analysées,
  • le dossier dans lequel les analyses ont été sauvegardées (ce dossier est créé automatiquement s'il n'existe pas),
  • une description des fichiers sauvegardés.

Quelque soit le type d'analyse demandée, "Synthèse globale" ou "Synthèse globale et par sessions" (voir le menu Analyse), le logiciel sauvegarde toujours :

  • un fichier de synthèse qui résume de manière synthétique l'analyse effectuée sur les sessions regroupées (voir sa description). Le nom de ce fichier est de la forme : "utilisateur_synt.csv", et
  • le fichier des événements qui contient tous les événements utiles qui sont retenus, dans l'ordre chronologique, pour l'analyse (voir sa description). Le nom de ce fichier est de la forme : "utilisateur_event.csv".

Si l'analyse demandé est "Synthèse globale et par sessions", le logiciel sauvegarde aussi :

  • un fichier de synthèse pour chaque session. Les noms de ces fichiers sont de la forme : "utilisateur_synt_date_heure.csv"


La barre de menus

La barre des menus

Elle permet d'accéder à 4 menus :

  1. Le menu "Analyse" qui propose 3 commandes :
    1. "Analyse globale seule",
    2. "Analyse globale et sessions"
    3. "Quitter".
  2. Le menu "Dossier" qui propose 2 commandes :
    1. "Changer de dossier utilisateurs et enregistrer ce changement"
    2. "Changer de dossier utilisateurs sans enregistrer ce changement"
  3. Le menu "Rapport" qui propose une commande : "Supprimer le rapport"
  4. Le menu "?" qui permet d'afficher des informations "A propos du logiciel" et "A propos des sauvegardes effectuées"


Le menu "Analyse"

Il permet d'accéder aux 3 commandes ci-dessous :

Synthèse générale

Elle permet une analyse synthétique de toutes les sessions sélectionnées pour un utilisateur donné. Au cours de cette analyse, deux fichiers exploitables sous Excel ou un éditeur de texte sont successivement créés dans un répertoire du dossier de l'utilisateur nommé "at" ou dans un répertoire de votre choix :

  • Le fichier des événements : il contient tous les événements utiles qui sont retenus, dans l'ordre chronologique, pour l'analyse (voir sa description). Le nom de ce fichier est de la forme : "utilisateur_event.csv".
  • Le fichier de synthèse : il résume de manière synthétique l'analyse effectuée sur les sessions regroupées (voir sa description). Le nom de ce fichier est de la forme : "utilisateur_synt.csv".

Exemple : contenu du dossier "at" de l'utilisateur "alain"

Synthèse générale et par sessions

Cette commande créé comme la précédente un fichier des événements et un fichier de synthèse, mais créé de plus, dans le même répertoire, pour chaque session un fichier de synthèse des événements retenus. Les noms de ces fichiers sont de la forme : "utilisateur_synt_date_heure.csv" (Ex : "anne_synt_021205_114246.csv" pour la session du 5/12/2002 commencé à 11h42mn46s).

Quitter

Cette commande permet de quitter le logiciel


Le menu "Dossier"

Il permet de changer de dossier utilisateurs en enregistrant ou non ce changement dans le fichier de configuration "ari.ini" du logiciel ARI.


Le menu "Rapport"

La commande "Supprimer le rapport" permet de supprimer le fichier "analyses.txt" qui contient l'historique de toutes les analyses qui ont été effectuées. Ce fichier est enregistré dans le dossier des utilisateurs sélectionné et peut être imprimé avec n'importe quel éditeur de texte (WordPad, Bloc-notes, etc.).


Le menu "?"

Il propose 2 commandes :

  • Aide pour accéder à cette aide
  • A propos du logiciel qui fournit des indications sur la version et les auteurs


Le fichier des événements

Il contient tous les événements qui ont été retenus pour réaliser l'analyse. Ces événements sont listés dans l'ordre chronologique d'apparition. Aucune synthèse n'étant réalisée dans ce fichier, on lui préférera donc le fichier de synthèse pour avoir un aperçu global du travail effectué par l'utilisateur.

Au format .csv, ce fichier dont le nom est de la forme "utilisateur_actions.csv" est enregistré dans le répertoire du dossier de l'utilisateur nommé "at" ou dans un répertoire de votre choix. Il peut-être visualisé, exploité ou imprimé sous Excel ou un éditeur de texte. Il contient :

  • 1ère ligne : le n° de la version d'ARI utilisée
  • 2ème ligne : le nom de l'utilisateur
  • 3ème ligne : le contenu du tableau qui suit (liste des champs extraits ou calculés à partir du fichier des traces)
  • ligne suivantes : pour chaque session sélectionnée, la date à laquelle la session a débutée suivie des événements retenus (un par ligne)

La liste des champs retenus ou calculés est la suivante :

  • "référence trace" : n°de la ligne correspondante dans le fichier " "utilisateur_traces.csv"
  • "jour" et "heure" : jour et heure du début de la session
  • "code" et "événement" : code de l'évènement et évènement correspondant (Ouverture/Fermeture Session, Début/Fin de navigation, Appel/Fin page, Début/Fin de notes, Ouverture/fermeture Fenêtre, Clic)
  • "vers cadre" : précise éventuellemnt le cadre dans lequel la page HTML est affichée (cas des pages à cadres)
  • "fenêtre" : précise le n° de la fenêtre ouverte
  • "clic" : indique l'évènement clic de la souris
  • "serveur" : nom du serveur appelé
  • "no serveur session" : n° attribué au serveur appelé dans la session. Ainsi, si "www.inrp.fr" est le 1er serveur appelé, il aura le n° 1 pour toute la session. A chaque appel d'un nouveau serveur, ce n° est incrémenté de 1. Pour une nouvelle session le compteur est remis à 0.
  • "no serveur global" : n° attribué au serveur appelé depuis la 1ère session. Il n'y a pas ici de remise à 0 du compteur pour une nouvelle session.
  • "url page" : url complète de la page appelée
  • "no page session" : n° attribué à la page appelée dans la session (même principe que pour le "no serveur session")
  • "no page globale" : n° attribué à la page appelée depuis la 1ère session (même principe que pour le "no serveur global")
  • "temps / session" : date en hh:mm:ss de l'évènement dans la session (l'ouverture de session a pour date 00:00:00).
  • "temps / navig. ou note" : date en hh:mm:ss des événements dans une phase de navigation (qui commence par "Début de navigation" et s'achève par "Fin de navigation" ou une phase de prises de notes (Début et Fin de Notes). A chaque "Début de navigation" ou chaque "Debut de notes" le compteur est remis à 00:00:00.
  • "durée" : durée en hh:mm:ss pendant laquelle une page est affichée.
  • "titre" : titre de la page HTML. "Sans Titre" signifie l'absence de titre dans la page..
  • "niveau" : permet d'expliciter le type d'appel de page. On distingue 5 niveaux :
    • "Appel" pour un appel à l'un des moteurs de recherche reconnus par ARI (Google, Nomade, Voila, Yahoo, Altavista).
    • "Résultats" : pour l'appel d'une page de résultats d'un moteur ou d'un annuaire
    • "Site" : pour l'appel d'une page autre qu'une page relative à un moteur ou un annuaire
    • "Rapport" : pour une navigation sur le rapport en cours dans la prise de notes
    • "Page locale" : pour l'appel d'une page locale lorsqu'on navigue sur le rapport
  • "moteur" : le nom du moteur ou de l'annuaire (Google, Nomade, Voila, Yahoo, Altavista).
  • "type de requête" : le type de requête en utilisant un moteur (simple, complexe, avancée ou thématique).
  • "eq. de recherche" : l'équation de recherche formulée par l'utilisateur qui utilise un moteur de recherche
  • "no paquet" : le n° de la page de résultats affichée.


Le fichier de synthèse

Au format .csv, ce fichier dont le nom est de la forme "utilisateur_synt.csv" (fichier de synthèse globale) ou "utilisateur_synt_date_heure.csv" (fichier de synthèse par session) est enregistré dans le répertoire du dossier de l'utilisateur nommé "at" ou dans un répertoire de votre choix. Il peut-être visualisé, exploité ou imprimé sous Excel ou un éditeur de texte. Il comprend 3 parties :

  • des informations concernant l'analyse,
  • une partie quantitative relative aux différentes séquences de navigation et de prises de notes ainsi qu'aux moteurs utilisés, aux requêtes effectuées et aux sites visités,
  • une partie quantitative qui précise la chronologie des phases de navigations et de prises de notes, le détail des requêtes effectuées en regroupant les requêtes identiques sur un même moteur, le détail des pages visités, autres que les pages relatives aux moteurs, en les regroupant par site dans l'ordre d'apparition de ces sites.

Informations concernant l'analyse

Comme le montre l'exemple ci-contre visualisé sous Excel,

  • La 1ère ligne du fichier contient le n° de la version d'ARI qui a été utilisée,
  • La 2ème ligne contient le nom de l'utilisateur,
  • la 3ème ligne est vide,
  • Les lignes suivantes jusqu'à la première ligne vide indiquent les sessions (date et heure) sélectionnées et regroupées pour l'analyse, précédées de "SESSIONS REGROUPEES".

Note : dans le cas de la synthèse d'une session (fichier du type "utilisateur_synt_date_heure.csv") on trouve uniquement une 4ème ligne contenant "session du " suivi de la date et de l'heure de la session.

Informations concernant l'analyse.
E xemple visualisé sous Excel

La partie quantitative

Elle contient les informations relatives aux différentes séquences de navigation et de prises de notes ainsi qu'aux moteurs utilisés, aux requêtes effectuées et aux sites visités.

Phases de navigations et de prises de notes

Sous "NAVIGATIONS / NOTES" on trouve le nombre de séquences de navigation et de prises de notes ainsi que leur durée pour l'ensemble des sessions analysées, comme le montre l'exemple ci-contre visualisé sous Excel.

Synthèse des phases de navigations et de
prises de notes. Exemple visualisé sous Excel.

Moteurs utilisés

Sous "MOTEURS" on trouve :

  • le nombre de moteurs utilisés,
  • le nombre d'appels à un moteur (ex : www.google.fr) et le nombre d'appels différents,
  • le nombre de consultations de pages de résultats et combien d'entre-elles sont différentes,
  • le nombre de requêtes simples, avancées, thématiques ou autres (non reconnues).

Note : le nombre de consultations et le nombre de pages différentes n'est généralement pas le même. En effet, au cours de la navigation on peut revenir sur une page d'appel à un moteur ou un annuaire, ou sur une page de résultats, en cliquant sur le bouton "page précédente" du navigateur ; de plus, un même moteur peut être appelé avec des url's différentes.

Synthèse relative aux moteurs utilisés.
Exemple visualisé sous Excel.

Sites visités

Sous "SITES" on trouve :

  • le nombre de sites visités,
  • le nombre total de pages appelées et combien d'entre-elles sont différentes.

Synthèse relative aux sites visités.
Exemple visualisé sous Excel.

La partie qualitative

Elle précise la chronologie des phases de navigations et de prises de notes, le détail des requêtes effectuées en regroupant les requêtes identiques sur un même moteur, le détail des pages visités, autres que les pages relatives aux moteurs, en les regroupant par site dans l'ordre d'apparition de ces sites.

Chronologie des phases de navigations et de prises de notes

Sous "CRHONOLOGIE NAVIGATIONS / NOTES" on trouve à quels moments ont eu lieu les phases de navigation et les phases de prises de notes ainsi que leurs durées respectives.

Dans l'exemple visualisé sous Excel, ci-contre, on observe 6 phases de navigation et 6 phases de prises de notes. La session du 18 mars a commencé par une prise de notes puis l'utilisateur a navigué sur la toile, etc... et a terminé par une prise de notes.

Chronologie des phases de navigations et de prises de notes.
Exemple visualisé sous Excel.

Les requêtes adressées aux moteurs et aux annuaires

Sous "MOTEURS ET REQUETES" on trouve, regroupés par moteurs ou annuaires, la liste des requêtes effectuées.

Exemple de requêtes adressées aux moteurs et annuaires visualisé sous Excel.

  • La 1ère colonne contient le nom du moteur ou de l'annuaire,
  • la 2ème colonne le type de requête (appel au moteur ou à l'annuaire ou recherche de type simple, avancée, thématique ou non reconnue)
  • la 3ème colonne un indicateur (n° paquet) permettant de savoir pour une même requête si la page de résultat a déjà été vue ou s'il s'agit de la page de résultat suivante ou précédente,
  • puis dans les colonnes suivantes, le nombre de fois que cette même page a été vue, l'URL du moteur et l'URL de la page

Les pages et les sites visités

Sous "SITES ET PAGES" on trouve, regroupés par sites, la liste des pages visitées.

Exemple de pages regroupées par sites visitées au cours des navigations, visualisé sous Excel.

  • La 1ère colonne contient le nom du site,
  • la 2ème colonne contient pour un site donné l'URL de la page,
  • la 3ème colonne le nombre de consultations de la page,
  • la 4ème colonne la durée totale d'affichage de la page,
  • la 5ème colonne le titre (s'il y en a un) tel qu'il est affiché dans la barre du navigateur.


Observation des traces avec Excel

Observation des traces sous Excel

Pour mémoire

[ Sommaire ]

Comme cela est décrit dans la documentation du logiciel ARI, les fichiers traces sauvegardés au format CSV (ex: "utilisateur.csv") ont la structure suivante :

  • La première ligne contient le numéro de version du logiciel.
  • La deuxième ligne contient le nom de l'utilisateur.
  • Les lignes suivantes correspondent aux traces sauvegardées. Chacune comprend de 6 à 8 cellules contenant respectivement :

    1- la date
    2- l'heure
    3- le code numérique de l'événement
    4- le code alphabétique de l'événement
    5- la fenêtre en cours
    6- le cadre d'où vient la requête ou le titre de la fenêtre, ou ...
    7- le cadre dans lequel la requête est lancée, ou ...
    8- l'URL du départ de navigation (adresse du serveur ou de la page)

Exemple d'utilisation sous Excel :
-----------------------------------------------
Si on ne s'intéresse qu'aux pages visitées, seules les colonnes 1, 2, 4 et 8 des événements "Dnav" (début de navigation) sont utiles.
Sous Excel, effectuer un filtre automatique (menu "Données > Filtre > Filtre automatique") sur la colonne "événement" (4 ème colonne) puis cliquer sur la flèche située dans la colonne qui contient les données à comparer. Il suffit alors de sélectionner les débuts de navigation (DNav) pour n'afficher que les lignes correspondant aux sites (ou pages) qui ont été visités.


Contacts et informations complémentaires

Contacts

ARI-AT a été conçu et réalisé par :

  • Jean-Claude Le Touzé
  • François-Marie Blondel
  • avec la contribution de Martial Tarizzo et d'Alain Beaufils.

Ce travail est effectué dans le cadre d'un projet à l'Institut national de recherche pédagogique. Pour tous renseignements complémentaires :

INRP
Département Technologies nouvelles et éducation
91, rue Gabriel Péri, 92120 Montrouge
Fax. 01 46 12 87 01
Mél : Francois-Marie.Blondel@inrp.fr

Informations complémentaires sur le logiciel ARI

http://www.inrp.fr/Tecne/Savoirplus/Rech40123/ari/accueil.html